---
title: Gamepad.index
slug: Web/API/Gamepad/index
tags:
  - API
  - Gamepad API
  - Games
  - NeedsBetterSpecLink
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{APIRef("Gamepad API")}}</div>

<p>The <code><strong>Gamepad.index</strong></code> property of the {{domxref("Gamepad") }} interface returns an integer that is auto-incremented to be unique for each device currently connected to the system.</p>

<p>This can be used to distinguish multiple controllers; a gamepad that is disconnected and reconnected will retain the same index.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface" id="idl-def-Gamepad"><span class="idlAttribute">readonly    attribute <span class="idlAttrType">long</span>                <span class="idlAttrName">index</span>;</span></span></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">window.addEventListener("gamepadconnected", function() {
  var gp = navigator.getGamepads()[0];
  gamepadInfo.innerHTML = "Gamepad connected at index " + gp.index + ": " + gp.id + ".";
});</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("number") }}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("Gamepad", "#dom-gamepad-index", "Gamepad.index")}}</td>
			<td>{{Spec2("Gamepad")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.index")}}</p>

<h2 id="See_also">See also</h2>

<p><a href="/en-US/docs/Web/Guide/API/Gamepad">Using the Gamepad API</a></p>
